Package org.apache.sling.query.impl.selector.parser

## Class Attribute

- java.lang.Object
- - org.apache.sling.query.impl.selector.parser.Attribute

    public class Attribute
    extends Object

### Constructor Summary

Constructors
`Attribute​(String key, String operator, String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getKey()`
`String` `getOperator()`
`String` `getValue()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Attribute

    public Attribute​(String key,
                     String operator,
                     String value)

### Method Detail

#### getKey

    public String getKey()

#### getOperator

    public String getOperator()

#### getValue

    public String getValue()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`